@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

body {
    margin: 0;
    padding: 0;
    background-color: #f0f0f0;    
}

.main-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-color: #f2f2f2;
}

#header-capa {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.card {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #ffffff;
    color: #8e44ad;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 30rem;
}

.card img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-bottom: 10px;
    border: 4px solid #8e44ad;
}

.card h2 {
    margin-bottom: 10px;
}

.card p {
    margin-bottom: 5px;
}

.edit-button {
    background-color: #8e44ad;
    color: #ffffff;
    border: 2px solid #8e44ad;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
}

.edit-button:hover {
    background-color: #501968;
    border-color: #501968;
    color: #fff;
}

#user-rating {
    align-self: flex-end;
}

.pic-container {
    position: relative;
    display: inline-block;
    width: 20rem;
    margin-right: 10px;
}
.pic-container img {
    display: block;
    width: 100%;
    height: auto;
    margin-bottom: 5px;
}
.pic-container input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}